PDA

View Full Version : Kernel Source Files??



lynxus
31st October 2006, 10:24 PM
Hey guys, im trying to install the kernal source for FC 5
Im trying to get teh Cisco VPN client working however when i run teh below command it installed a completely different version to what im actually running. Because of this i thing its breaking teh VPN as i get the below errors:
....
Running on: Linux 2.6.15-1.2054_FC5 #1 Tue Mar 14 15:48:33 EST 2006 i686
Config file directory: /etc/opt/cisco-vpnclient

Could not attach to driver. Is kernel module loaded?
The application was unable to communicate with the VPN sub-system.

:( :(
What im running:
[root@gsmart-laptop ~]# uname -r
2.6.15-1.2054_FC5

What it downloads:
root@gsmart-laptop ~]# yumdownloader --source kernel --enablerepo core-source --enablerepo updates-source
updates-source [1/2]
core-source [2/2]
kernel-2.6.18-1.2200.fc5. 100% |=========================| 1.8 MB 00:11




Any ideas?
Cheers guys.
G

leigh123linux
31st October 2006, 10:36 PM
yum always installs newest version , upgrade you kernel

lynxus
31st October 2006, 10:44 PM
humm. Whats the advantages of upgrading the kernal.. sounds painful?

Seve
31st October 2006, 10:54 PM
Hello:
Updgrading the kernel can be done via yum with ease.
yum update kernel
If you want the source rpm 2054 you can grab it from here
http://download.fedora.redhat.com/pub/fedora/linux/core/5/source/SRPMS/
then rpm -ivh
and you should be good to go.

Seve

nick.stumpos
31st October 2006, 10:58 PM
you need kernel-devel packages for your kernel to compile against them

leigh123linux
31st October 2006, 10:59 PM
only painfull if you have built your own kernel modules for graphic and so on , advantages better security ans stability.

i think the package you are looking for is kernel-devel

yum install kernel-devel

lynxus
31st October 2006, 11:21 PM
the new kernel doesnt work!!!!
did a yum update kernel

now i just get a white X cursur and nohting happens on boot !!! :(

leigh123linux
31st October 2006, 11:30 PM
no problem just this removes the kernel that you just installed ,type in terminal as root ( su )

rpm -e kernel-2.6.18-1.2200*

these links are rpms for 2054
[url]ftp://ftp.scarlet.be/pub/fedora/5/i386/os/Fedora/RPMS/kernel-devel-2.6.15-1.2054_FC5.i586.rpm

ftp://ftp.scarlet.be/pub/fedora/5/source/SRPMS/kernel-2.6.15-1.2054_FC5.src.rpm

lynxus
31st October 2006, 11:35 PM
where do i do that? what does it do?

and how do i go about actually getting teh latest kernal running?
Somethings wrong. this damn vpn client constantly errors for me. Grr :( lol

leigh123linux
31st October 2006, 11:41 PM
no problem just this removes the kernel that you just installed ,type in terminal as root ( su )

rpm -e kernel-2.6.18-1.2200*

these links are rpms for 2054
[url]ftp://ftp.scarlet.be/pub/fedora/5/i386/os/Fedora/RPMS/kernel-devel-2.6.15-1.2054_FC5.i586.rpm

ftp://ftp.scarlet.be/pub/fedora/5/source/SRPMS/kernel-2.6.15-1.2054_FC5.src.rpm

lynxus
31st October 2006, 11:43 PM
It recons that kernel isnt installed, however its in the grub menu ?

lynxus
31st October 2006, 11:48 PM
right managed to remove it,

How comes it wont use the latest kernel then?


lol now back to square one :(

leigh123linux
31st October 2006, 11:49 PM
did you remember the * at the end

lynxus
31st October 2006, 11:52 PM
yea thanx :) well i mean no , i didnt lol

i think im just screwed... nothing seems to ever go smoothly.. i cant see how such a simple task of installing a vpn client can be such a pain in my ass lol

leigh123linux
31st October 2006, 11:54 PM
you could away use add and remove software as found in menu , and remove 2200 there

lynxus
31st October 2006, 11:56 PM
yea sorry, its removed now :)

as i said , i think im screwed.. been trying to install this now for 48 hours! :(

leigh123linux
1st November 2006, 12:13 AM
if you want the 2054 packages click on these links and install them

these links are rpms for 2054
[url]ftp://ftp.scarlet.be/pub/fedora/5/i386/os/Fedora/RPMS/kernel-devel-2.6.15-1.2054_FC5.i586.rpm

ftp://ftp.scarlet.be/pub/fedora/5/source/SRPMS/kernel-2.6.15-1.2054_FC5.src.rpm